Bug 9409 - koha-create --request-db should be able to accept a dbhost option
Summary: koha-create --request-db should be able to accept a dbhost option
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (command-line installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: M. Tompsett
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 18877
  Show dependency treegraph
 
Reported: 2013-01-16 21:18 UTC by Ian Beardslee
Modified: 2017-10-01 22:14 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 9409: Add --dbhost parameter and dbhost field (2.94 KB, patch)
2017-06-23 01:49 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 9409: Add --dbhost parameter and dbhost field (2.99 KB, patch)
2017-06-30 16:28 UTC, Lee Jamison
Details | Diff | Splinter Review
Bug 9409: Add --dbhost parameter and dbhost field (3.05 KB, patch)
2017-07-21 10:32 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 9409: (QA followup) Add --dbhost help to koha-create man page (2.17 KB, patch)
2017-08-11 18:09 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Ian Beardslee 2013-01-16 21:18:59 UTC
koha-create --request-db should be able to accept a dbhost option and write that to koha-conf.xml

When installing koha via the debian packages with the database on a separate host, as per http://wiki.koha-community.org/wiki/Install_Koha_3.6_on_Debian_squeeze_using_a_separate_MySQL_server, it is suggested that you run ..

 koha-create --request-db mylibrary

This creates a text file with the appropriate details to use to create the mysql database, it also writes the database name, user and password into the /etc/koha/sites/mylibrary/koha-conf.xml file.

But this process leaves the <hostname> unpopulated, essentially defaulting to 'localhost'.  That config option has to be manually entered for a remote database host.

Ideally one should be able to use ..

 koha-create --request-db mylibrary --dbhost databaseserver

koha-create should also return details on where to change the hostname of the database server (whether the --dbhost option is used or not).
Comment 1 Ian Beardslee 2013-01-17 01:06:15 UTC
./debian/scripts/koha-create is the file that needs to be tweaked
Comment 2 M. Tompsett 2017-06-23 01:49:09 UTC
Created attachment 64560 [details] [review]
Bug 9409: Add --dbhost parameter and dbhost field

This allows setting the remote db host correctly for
request-db either with a command-line or passwd file.
Comment 3 Lee Jamison 2017-06-30 16:28:35 UTC
Created attachment 64760 [details] [review]
Bug 9409: Add --dbhost parameter and dbhost field

This allows setting the remote db host correctly for
request-db either with a command-line or passwd file.

Signed-off-by: Lee Jamison <ldjamison@marywood.edu>
Comment 4 M. Tompsett 2017-07-01 03:25:57 UTC
Thanks for the sign off, LeeJ. :)
Comment 5 Nick Clemens 2017-07-21 10:32:05 UTC
Created attachment 65166 [details] [review]
Bug 9409: Add --dbhost parameter and dbhost field

This allows setting the remote db host correctly for
request-db either with a command-line or passwd file.

Signed-off-by: Lee Jamison <ldjamison@marywood.edu>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 6 Tomás Cohen Arazi 2017-08-11 18:09:40 UTC
Created attachment 65922 [details] [review]
Bug 9409: (QA followup) Add --dbhost help to koha-create man page

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 7 Jonathan Druart 2017-08-15 15:28:38 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 8 Fridolin SOMERS 2017-09-29 10:18:11 UTC
Pushed to 17.05.x, will be in 17.05.05.
Comment 9 Katrin Fischer 2017-10-01 22:14:52 UTC
These patches have been pushed to 16.11.x and will be in 16.11.13.